//
//  100MilCounter.h
//  100MilCounter
//
//  Created by Brian Sheehan on Mon Jul 05 2004.
//  Derived from the NSStatusItem Tutorial by Jason Marr at:
//    http://www.cocoadevcentral.com/articles/000052.php
//  Copyright (c) 2004 eklektion.org. All rights reserved.
//

#import <Foundation/Foundation.h>


#define _00MILCOUNTER_MENU_VERSION  0
#define _00MILCOUNTER_MENU_REALTIME 1
#define _00MILCOUNTER_MENU_UPDATE   2
#define _00MILCOUNTRER_MENU_QUIT	3
#define _00MILCOUNTER_MENU_NEXT		4

#define _00MILCOUNTER_UPDATE_CYCLE  300

#define _00MILCOUNTER_URL			@"http://www.apple.com/main/includes/external_counter.js"

@interface _00MilCounter : NSObject {
	NSStatusItem *statusItem;
	IBOutlet NSMenu *theMenu;
	NSTimer *mainTimer;
	NSTimer *quickTimer;
}

-(void)forceUpdateMenu:(id)sender;
-(void)updateMenu;
-(void)setValues;
-(void)updateMyValue;
-(id)init;
-(void)awakeFromNib;
-(void)updateMenu;
-(void)timer:(NSTimer *)timer;
-(void)quicktimer:(NSTimer *)quicktimer;
-(void)dealloc;

@end
